Create Lead Appointment: AppFolio

Create Lead Appointment: AppFolio | Method | Interface | |---|---| | POST /v0/showings | Showings |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_idstringRequired
The Propexo unique identifier for the lead
unit_idstringRequired
The Propexo unique identifier for the unit
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be sent in UTC.
appointment_duration_minutesintegerRequired
The duration of the appointment, in minutes
employee_idstringOptional
The Propexo unique identifier for the employee
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors